//============================================================================
// 635_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// KeyPads.h : header file
//
#if !defined(AFX_KEYPADS_H__B7C692CC_3D1D_4C0F_8628_75F9C55F6A3F__INCLUDED_)
#define AFX_KEYPADS_H__B7C692CC_3D1D_4C0F_8628_75F9C55F6A3F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// KeyPads dialog

class KeyPads : public CDialog
{
// Construction
public:
  KeyPads(CWnd* pParent = NULL);   // standard constructor
  BOOL Create();
  virtual BOOL KeyPads::OnInitDialog();

  //Called by the main window
  void KeyPads::OnReceivedKeyReport(COMMAND_PACKET *packet);
  void KeyPads::OnReceivedKeyPoll(COMMAND_PACKET *packet);
  void KeyPads::OnReceivedReportingStatus(COMMAND_PACKET *packet);

// Dialog Data
  //{{AFX_DATA(KeyPads)
  enum { IDD = IDD_KEYPADS };
  CButton m_report_release_ur;
  CButton m_report_release_up;
  CButton m_report_release_ul;
  CButton m_report_release_right;
  CButton m_report_release_lr;
  CButton m_report_release_ll;
  CButton m_report_release_left;
  CButton m_report_release_enter;
  CButton m_report_release_down;
  CButton m_report_release_cancel;
  CButton m_report_press_ur;
  CButton m_report_press_up;
  CButton m_report_press_ul;
  CButton m_report_press_right;
  CButton m_report_press_lr;
  CButton m_report_press_ll;
  CButton m_report_press_left;
  CButton m_report_press_enter;
  CButton m_report_press_down;
  CButton m_report_press_cancel;
  CButton m_key_ur;
  CButton m_key_up;
  CButton m_key_ul;
  CButton m_key_right;
  CEdit m_key_poll_ur;
  CEdit m_key_poll_up;
  CEdit m_key_poll_ul;
  CEdit m_key_poll_right;
  CEdit m_key_poll_lr;
  CEdit m_key_poll_ll;
  CEdit m_key_poll_left;
  CEdit m_key_poll_enter;
  CEdit m_key_poll_down;
  CEdit m_key_poll_cancel;
  CButton m_key_lr;
  CButton m_key_ll;
  CComboBox m_key_legend_ur;
  CComboBox m_key_legend_ul;
  CComboBox m_key_legend_lr;
  CComboBox m_key_legend_ll;
  CButton m_key_left;
  CButton m_key_enter;
  CButton m_key_down;
  CButton m_key_cancel;
  CButton m_enable_key_legends;
  //}}AFX_DATA


// Overrides
  // ClassWizard generated virtual function overrides
  //{{AFX_VIRTUAL(KeyPads)
  protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual void PostNcDestroy();
//}}AFX_VIRTUAL

// Implementation
protected:
  CWnd* m_pParent;
  int m_nID;
  void KeyPads::UpdateKeyLegends(void);

  // Generated message map functions
  //{{AFX_MSG(KeyPads)
  afx_msg void OnAllReportsOff6_3_1();
  afx_msg void OnAllReportsOn6_3_1();
  afx_msg void OnCloseupKeyLegendLl();
  afx_msg void OnCloseupKeyLegendLr();
  afx_msg void OnCloseupKeyLegendUl();
  afx_msg void OnCloseupKeyLegendUr();
  afx_msg void OnEnableKeyLegends();
  afx_msg void OnPollKeysNow6_3_1();
  afx_msg void OnReportPressClick_6_3_1();
  afx_msg void OnAllReportsOff6_3_3();
  afx_msg void OnAllReportsOn6_3_3();
  afx_msg void OnGetReports6_3_3();
  afx_msg void OnPollKeysNow6_3_3();
  afx_msg void OnReportPressClick_6_3_3();
  afx_msg void OnClose();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_KEYPADS_H__B7C692CC_3D1D_4C0F_8628_75F9C55F6A3F__INCLUDED_)
