//============================================================================
// 635_WinTest Code.
// Copyright 2001-2004, Crystalfontz America, Inc. Written by Brent A. Crosby
//
// You may use this code in any project (including commercial) as long as
// at least one of the intents of the project is to communicate with a
// Crystalfontz display.
//
// http://www.crystalfontz.com brent@crystalfontz.com
//
// !!!!!!!! THIS IS TEST CODE ONLY !!!!!!!!
// !!!!!!!!  USE AT YOUR OWN RISK  !!!!!!!!
//
//============================================================================
// Live_Display.h : header file
//
#if !defined(AFX_LIVE_DISPLAY_H__6F46BB93_DCCC_4A83_B9D8_CB484BFD38C3__INCLUDED_)
#define AFX_LIVE_DISPLAY_H__6F46BB93_DCCC_4A83_B9D8_CB484BFD38C3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// Live_Display dialog

class Live_Display : public CDialog
{
// Construction
public:
  Live_Display(CWnd* pParent);   // standard constructor
  BOOL Create();
  virtual BOOL Live_Display::OnInitDialog();

  CComboBox *Types[8];
  CComboBox *Sensors[8];
  CComboBox *Digits[8];
  CComboBox *Cols[8];
  CComboBox *Rows[8];
  CComboBox *Units[8];

// Dialog Data
  //{{AFX_DATA(Live_Display)
  enum { IDD = IDD_Live_Display };
  CComboBox m_Type_Slot_0;
  CComboBox m_Type_Slot_1;
  CComboBox m_Type_Slot_2;
  CComboBox m_Type_Slot_3;
  CComboBox m_Type_Slot_4;
  CComboBox m_Type_Slot_5;
  CComboBox m_Type_Slot_6;
  CComboBox m_Type_Slot_7;
  CComboBox m_Sensor_Slot_0;
  CComboBox m_Sensor_Slot_1;
  CComboBox m_Sensor_Slot_2;
  CComboBox m_Sensor_Slot_3;
  CComboBox m_Sensor_Slot_4;
  CComboBox m_Sensor_Slot_5;
  CComboBox m_Sensor_Slot_6;
  CComboBox m_Sensor_Slot_7;
  CComboBox m_Digits_Slot_0;
  CComboBox m_Digits_Slot_1;
  CComboBox m_Digits_Slot_2;
  CComboBox m_Digits_Slot_3;
  CComboBox m_Digits_Slot_4;
  CComboBox m_Digits_Slot_5;
  CComboBox m_Digits_Slot_6;
  CComboBox m_Digits_Slot_7;
  CComboBox m_Col_Slot_0;
  CComboBox m_Col_Slot_1;
  CComboBox m_Col_Slot_2;
  CComboBox m_Col_Slot_3;
  CComboBox m_Col_Slot_4;
  CComboBox m_Col_Slot_5;
  CComboBox m_Col_Slot_6;
  CComboBox m_Col_Slot_7;
  CComboBox m_Row_Slot_0;
  CComboBox m_Row_Slot_1;
  CComboBox m_Row_Slot_2;
  CComboBox m_Row_Slot_3;
  CComboBox m_Row_Slot_4;
  CComboBox m_Row_Slot_5;
  CComboBox m_Row_Slot_6;
  CComboBox m_Row_Slot_7;
  CComboBox m_Units_Slot_0;
  CComboBox m_Units_Slot_1;
  CComboBox m_Units_Slot_2;
  CComboBox m_Units_Slot_3;
  CComboBox m_Units_Slot_4;
  CComboBox m_Units_Slot_5;
  CComboBox m_Units_Slot_6;
  CComboBox m_Units_Slot_7;
  //}}AFX_DATA

// Overrides
  // ClassWizard generated virtual function overrides
  //{{AFX_VIRTUAL(Live_Display)
  protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual void PostNcDestroy();
  //}}AFX_VIRTUAL

// Implementation
protected:
  CWnd* m_pParent;
  int m_nID;
  void Live_Display::Validate_Parent_Data(void);
  void Live_Display::Enable_Disable_Dialog_Elements(void);
  // Generated message map functions
  //{{AFX_MSG(Live_Display)
  afx_msg void OnEditChange();
  afx_msg void OnClose();
  afx_msg void OnSendToDisplay();
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIVE_DISPLAY_H__6F46BB93_DCCC_4A83_B9D8_CB484BFD38C3__INCLUDED_)
